using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Http;
using ToolSystem;


namespace Tool_Management.Pages
{
    public class EditPersonModel : PageModel
    {
        readonly IConfiguration _configuration;

        public Person persondb = new Person();

        public string connectionString;

        public int personId;

        public string userName = null;
        public int validUser = 0;

        public EditPersonModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            VerifyLogin();

            personId = Convert.ToInt16(Request.Query["Personid"]);

            Person person = new Person();

            connectionString = _configuration.GetConnectionString("ConnectionString");

            persondb = person.GetPersonData(connectionString, personId);
        }

        public void OnPost()
        {
            Person person = new Person();

            person.PersonId = Convert.ToInt16(Request.Form["PersonId"]);
            person.PersonName = Request.Form["PersonName"];
            person.PersonTag = Request.Form["PersonTag"];
            person.EMail = Request.Form["EMail"];

            connectionString = _configuration.GetConnectionString("ConnectionString");

            person.EditPerson(connectionString, person);

            Response.Redirect("./PersonList");
        }

        void VerifyLogin()
        {

            if (HttpContext.Session.GetInt32("Login") != null)
                validUser = (int)HttpContext.Session.GetInt32("Login");
            else
                validUser = 0;

            if (HttpContext.Session.GetString("UserName") != null)
                userName = HttpContext.Session.GetString("UserName");
            else
                userName = null;

        }
    }
}
