if not exists (select * from dbo.sysobjects where id = object_id(N'[PERSON]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [PERSON]
(
	[PersonId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[PersonName] [varchar](100) NOT NULL UNIQUE,
	[PersonTag] [varchar](100) NOT NULL UNIQUE,
	[EMail] [varchar](100) NOT NULL UNIQUE,
	[Password] [varchar](255) NOT NULL,
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[TOOL]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [TOOL]
(
	[ToolId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[ToolName] [varchar](100) NOT NULL UNIQUE,
	[ToolTag] [varchar](100) NOT NULL UNIQUE,
	[ToolDescription] [varchar](1000) NULL,
	[ToolInUse] [int] NOT NULL,
	[PersonId] [int]  NULL FOREIGN KEY REFERENCES [PERSON] ([PersonId]),
	[RentDate] [datetime] NULL,
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[GROUP]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [GROUP]
(
	[GroupId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[GroupName] [varchar](100) NOT NULL UNIQUE,
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[TOOL_GROUP]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [TOOL_GROUP]
(
	[ToolGroupId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[ToolId] [int]  NULL FOREIGN KEY REFERENCES [TOOL] ([ToolId]),
	[GroupId] [int]  NULL FOREIGN KEY REFERENCES [GROUP] ([GroupId]),
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[SUBGROUP]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [SUBGROUP]
(
	[SubGroupId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[SubGroupName] [varchar](100) NOT NULL UNIQUE,
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[TOOL_DATA]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [TOOL_DATA]
(
	[ToolDataId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[ToolId] [int]  NOT NULL FOREIGN KEY REFERENCES [TOOL] ([ToolId]),
	[ToolNumber] [varchar](100) NULL,
	[Vendor] [varchar](100) NULL,
	[Model] [varchar](100) NULL,
	[PurchaseDate] [datetime] NULL,
	[CalibrationDate] [datetime] NULL,
	[Price] [float] NULL,
	[Owner] [varchar](100) NULL,
) 
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[TOOL_RENT]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [TOOL_RENT_HISTORY]
(
	[RentId] [int] IDENTITY(1, 1) NOT NULL PRIMARY KEY,
	[ToolId] [int] NOT NULL FOREIGN KEY REFERENCES [TOOL] ([ToolId]),
	[PersonId] [int] NOT NULL FOREIGN KEY REFERENCES [PERSON] ([PersonId]),
	[RentDate] [datetime] NOT NULL,
	[ReturnDate] [datetime] NOT NULL,
) 
GO